%define name rt-tests
%define version 0.50
%define release %mkrel 1

Summary: Programs that test various rt-features
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPLv2
Group:   Development/Other
URL:     http://rt.wiki.kernel.org/index.php/Cyclictest
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
A set of programs that test and measure various components of "realtime"
kernel behavior, such as timer latency, signal latency and the functioning
of priority-inheritance mutexes.

%prep
%setup -q -n %{name}

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
make DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_bindir}/classic_pi
%{_bindir}/cyclictest
%{_bindir}/pi_stress
%{_bindir}/signaltest
%{_bindir}/hwlatdetect
%{_mandir}/man8/cyclictest.8.lzma
%{_mandir}/man8/pi_stress.8.lzma
%{_mandir}/man8/hwlatdetect.8.lzma


%changelog
* Mon Jul 20 2009 trem <trem@mandriva.org> 0.50-1mdv2010.0
+ Revision: 398221
- update to 0.50

* Sat Jul 04 2009 trem <trem@mandriva.org> 0.46-1mdv2010.0
+ Revision: 391957
- update to 0.46
- update to 0.40

* Tue May 12 2009 trem <trem@mandriva.org> 0.39-1mdv2010.0
+ Revision: 375055
- update to 0.39

* Mon Apr 20 2009 trem <trem@mandriva.org> 0.36-1mdv2009.1
+ Revision: 368467
- update to 0.36
- remove patch fix_C_argument.patch (added upsteam)

* Sun Apr 19 2009 trem <trem@mandriva.org> 0.35-1mdv2009.1
+ Revision: 368028
- update to 0.35
- add patch fix_C_argument.patch
- update to 0.34

* Tue Mar 10 2009 trem <trem@mandriva.org> 0.30-1mdv2009.1
+ Revision: 353512
- update to 0.30

* Wed Oct 22 2008 trem <trem@mandriva.org> 0.28-1mdv2009.1
+ Revision: 296593
- update to 0.28

* Thu Sep 11 2008 trem <trem@mandriva.org> 0.27-1mdv2009.0
+ Revision: 283909
- import rt-tests


